---
title: "Reads one prompt by its id or name, its text filled in with the arguments given where the customer may run it."
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sherpo.io/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sherpo customer API › prompt

`GET /v1/stores/{store}/products/{product}/prompts/{prompt}`

## Authentication

- `bearer`, http, header `Authorization`, scopes: `read`

## Path parameters

- `store` (`getProductPrompt.path.store`; string, required) — A hostname of the store.
- `product` (`getProductPrompt.path.product`; string, required) — An id, or `slug:<slug>`.
  - minLength 1
- `prompt` (`getProductPrompt.path.prompt`; string, required)
  - minLength 1

## Query parameters

- `arguments` (`getProductPrompt.query.arguments`; map<string>, optional)

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/prompts/<prompt>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/prompts/<prompt>';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sherpo.io/customer/v1/stores/<store>/products/<product>/prompts/<prompt>"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
```

## Responses

### 200

Reads one prompt by its id or name, its text filled in with the arguments given where the customer may run it.

#### Example

```json
{
  "text": null,
  "id": "string",
  "name": "string",
  "title": "string",
  "description": "string",
  "arguments": [
    {
      "name": "string",
      "description": "string",
      "required": true
    }
  ],
  "product": {
    "id": "string",
    "slug": "string",
    "title": "string"
  },
  "requires": {
    "kind": "everyone"
  },
  "access": "string"
}
```

Any of:

- `object`
- `object`

### default

A problem; see https://api.sherpo.io/customer/docs/errors.

#### Example

```json
{
  "type": "http://example.com",
  "title": "string",
  "status": 0,
  "detail": "string",
  "code": "string",
  "context": {},
  "reached_core": true,
  "core_answer": "string"
}
```

- `type` (`getProductPrompt.response.default.type`; string, required)
  - format `uri`
- `title` (`getProductPrompt.response.default.title`; string, required)
- `status` (`getProductPrompt.response.default.status`; integer, required)
- `detail` (`getProductPrompt.response.default.detail`; string, required)
- `code` (`getProductPrompt.response.default.code`; string, optional)
- `context` (`getProductPrompt.response.default.context`; object, optional)
- `reached_core` (`getProductPrompt.response.default.reached_core`; boolean, optional)
- `core_answer` (`getProductPrompt.response.default.core_answer`; string, optional)


Source: https://docs.sherpo.io/customer-api/reference/get-product-prompt/index.md
